### Method

# Gtk TextIter equal

#### Declaration [src]

    gboolean
    gtk_text_iter_equal (
      const GtkTextIter* lhs,
      const GtkTextIter* rhs
    )

#### Description [src]

Tests whether two iterators are equal, using the fastest possible mechanism.

This function is very fast; you can expect it to perform better than e.g. getting the character offset for each iterator and comparing the offsets yourself. Also, it’s a bit faster than gtk_text_iter_compare().

#### Parameters

`rhs` | `GtkTextIter`
| Another `GtkTextIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the iterators point to the same place in the buffer.